org.omg.CORBA

## Class CurrentHelper

- java.lang.Object
- - org.omg.CORBA.CurrentHelper

    public abstract class CurrentHelper
    extends Object

The Helper for `Current`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/CurrentHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:21 AM PDT

### Constructor Summary

Constructors
Constructor and Description
`CurrentHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Current` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Current that)`
`static Current` `narrow(Object obj)`
`static Current` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, Current value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CurrentHelper

    public CurrentHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              Current that)

#### extract

    public static Current extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Current read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             Current value)

#### narrow

    public static Current narrow(Object obj)